import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gap/gap.dart';
import 'package:tanami_app/core/routes/route_name.dart';
import 'package:tanami_app/core/routes/routes.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/shared/components/button_widget.dart';

import '../../../../core/styles/app_text.dart';
import '../../../../shared/components/text_widget.dart';

class LoginSignUpButton extends StatelessWidget {
  const LoginSignUpButton({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(top: 20.0),
      child: Column(
        children: [
          Container(
            margin: const EdgeInsets.symmetric(
              horizontal: 16,
            ),
            width: 1.sw,
            height: 56.h,
            child: ButtonWidget().elevatedBtn(
              function: () {
                goRouter.goNamed(RouteName.registerStepScreen, pathParameters: {
                  "fromScreentype": "welcome",
                });
              },
              text: AppText.signUpText,
              txtClr: AppColor.plainWhite,
              clr: AppColor.primaryColor,
            ),
          ),
          const Gap(16),
          ButtonWidget().textBtn(
              function: () {
                goRouter.goNamed(RouteName.loginScreen, pathParameters: {
                  "fromScreen": "welcome",
                });
              },
              text: TextWidget().text14W700(
                AppText.loginText,
                clr: AppColor.darkGreyColor,
                textDecoration: TextDecoration.underline,
              ))
        ],
      ),
    );
  }
}
